## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanXPathException Class Reference

`#include <XalanXPathException.hpp>`

Inheritance diagram for XalanXPathException

Collaboration diagram for XalanXPathException:

List of all members.

## Public Methods

- XalanXPathException ( const XalanDOMString& message, const XalanDOMString& theURI, int theLineNumber, int theColumnNumber, const XalanNode* styleNode = 0, const XalanDOMString& theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XalanXPathException")))
    Construct an XPath exeption object. More...
- XalanXPathException ( const LocatorType& theLocator, const XalanDOMString& theMessage, const XalanNode* styleNode = 0, const XalanDOMString& theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XalanXPathException")))
    Constructor. More...
- XalanXPathException ( const XalanDOMString& message, const XalanNode* styleNode = 0, const XalanDOMString& theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XalanXPathException")))
    Construct an XPath exeption object. More...
- virtual ~XalanXPathException ()
- const XalanNode* getStyleNode () const

## Protected Methods

- XalanXPathException ()
    Construct an XPath exeption object.

## Constructor & Destructor Documentation

XalanXPathException::XalanXPathException ( | const XalanDOMString & message,
| const XalanDOMString & theURI,
| int theLineNumber,
| int theColumnNumber,
| const XalanNode * styleNode = 0,
| const XalanDOMString & theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XalanXPathException")) )

Construct an XPath exeption object.

Parameters:

  message | message explaining the problem.
  theURI | the URI of the related document, if known
  theLineNumber | the line number of the related document.
  theColumnNumber | the column number of the related document.
  styleNode | the node in the stylesheet where the problem occurred
  theType | type of exception, default is "XalanXPathException"

XalanXPathException::XalanXPathException ( | const LocatorType & theLocator,
| const XalanDOMString & theMessage,
| const XalanNode * styleNode = 0,
| const XalanDOMString & theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XalanXPathException")) )

Constructor.

Parameters:

  theLocator | The locator instance for error reporting.
  theMessage | message to write when exception thrown
  styleNode | the node in the stylesheet where the problem occurred
  theType | type of exception, default is "XalanXPathException"

XalanXPathException::XalanXPathException ( | const XalanDOMString & message,
| const XalanNode * styleNode = 0,
| const XalanDOMString & theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XalanXPathException")) )

Construct an XPath exeption object.

Parameters:

  message | message explaining the problem.
  styleNode | the node in the stylesheet where the problem occurred
  theType | type of exception, default is "XalanXPathException"

virtual XalanXPathException::~XalanXPathException ( | )`[virtual]`

XalanXPathException::XalanXPathException ( | )`[explicit, protected]`

Construct an XPath exeption object.

## Member Function Documentation

const XalanNode * XalanXPathException::getStyleNode ( | ) const`[]`

The documentation for this class was generated from the following file:

- XalanXPathException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.